> ## Documentation Index
> Fetch the complete documentation index at: https://docs.originsai.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrigger Failed Call



## OpenAPI

````yaml https://originshq.b-cdn.net/openapi_sayna.json post /api/campaigns/{campaign_id}/contacts/{contact_id}/retrigger
openapi: 3.1.0
info:
  title: core
  version: 0.1.0
servers: []
security: []
paths:
  /api/campaigns/{campaign_id}/contacts/{contact_id}/retrigger:
    post:
      tags:
        - campaigns
      summary: Retrigger Failed Call
      operationId: >-
        retrigger_failed_call_api_campaigns__campaign_id__contacts__contact_id__retrigger_post
      parameters:
        - name: campaign_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Campaign Id
        - name: contact_id
          in: path
          required: true
          schema:
            type: integer
            title: Contact Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
                title: >-
                  Response Retrigger Failed Call Api Campaigns  Campaign Id 
                  Contacts  Contact Id  Retrigger Post
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````